{ config, pkgs, lib, ... }:

with lib;
let
  cfg = config.homeModules.apps.jetbrainsToolbox;
in
{
  options.homeModules.apps.jetbrainsToolbox = {
    enable = mkEnableOption ''
      Enable jetbrainsToolbox with my custom configurations
    '';
  };
  config = mkIf cfg.enable {
    home.packages = with pkgs; [jetbrains-toolbox];
  };
}